Index: src/sas/guiframe/documentation_window.py
===================================================================
--- src/sas/guiframe/documentation_window.py	(revision f06bbf5cff945ee559719c80970276187ed7cbcf)
+++ src/sas/guiframe/documentation_window.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -15,5 +15,5 @@
 
 class DocumentationWindow(wx.Frame):
-    def __init__(self, parent, id, path, title, size=(850, 540)):
+    def __init__(self, parent, id, path, url_instruction, title, size=(850, 540)):
         wx.Frame.__init__(self, parent, id, title, size=size)
 
@@ -28,5 +28,5 @@
 
         file_path = os.path.join(docs_path, path)
-        url = "file:///" + urllib.quote(file_path,'\:')
+        url = "file:///" + urllib.quote(file_path,'\:')+ url_instruction
 
         if not os.path.exists(file_path):
@@ -48,5 +48,5 @@
 def main():
     app = wx.App()
-    DocumentationWindow(None, -1, "index.html", "Documentation",)
+    DocumentationWindow(None, -1, "index.html", "", "Documentation",)
     app.MainLoop()
 
Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 5276eeb1fe87cc1ac6eadf085d266c8fa1cd2191)
+++ src/sas/guiframe/gui_manager.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -44,4 +44,5 @@
 from sas.dataloader.loader import Loader
 from matplotlib import _pylab_helpers
+from documentation_window import DocumentationWindow
 
 def get_app_dir():
@@ -2165,6 +2166,5 @@
         # Running SasView "in-place" using run.py means the docs will be in a
         # different place than they would otherwise.
-        from documentation_window import DocumentationWindow
-        DocumentationWindow(self, -1, "index.html", "General Help")
+        DocumentationWindow(self, -1, "index.html", "", "SasView Documentation")
 
     def set_manager(self, manager):
Index: src/sas/perspectives/calculator/data_operator.py
===================================================================
--- src/sas/perspectives/calculator/data_operator.py	(revision a27e8b86a6fe067b846e576064d6f6cbae3e9af3)
+++ src/sas/perspectives/calculator/data_operator.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -635,6 +635,6 @@
 
         _TreeLocation = "user/perspectives/calculator/data_operator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Data Operation Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Data Operation Help")
 
     def disconnect_panels(self):
Index: src/sas/perspectives/calculator/density_panel.py
===================================================================
--- src/sas/perspectives/calculator/density_panel.py	(revision d5419f7f544b78361d56e7be452aaf706afa3524)
+++ src/sas/perspectives/calculator/density_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -385,6 +385,6 @@
 
         _TreeLocation = "user/perspectives/calculator/density_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Density/Volume Calculator Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Density/Volume Calculator Help")
 
     def on_close(self, event):
Index: src/sas/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/perspectives/calculator/gen_scatter_panel.py	(revision d5419f7f544b78361d56e7be452aaf706afa3524)
+++ src/sas/perspectives/calculator/gen_scatter_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -914,6 +914,6 @@
 
         _TreeLocation = "user/perspectives/calculator/sas_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "General Scattering Calculator Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "General Scattering Calculator Help")
 
     def _check_value(self):
Index: src/sas/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/perspectives/calculator/image_viewer.py	(revision 49ab5d718dd7743a6a296e666dfb643183bc969d)
+++ src/sas/perspectives/calculator/image_viewer.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -150,6 +150,6 @@
 
         _TreeLocation = "user/perspectives/calculator/image_viewer_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Image Viewer Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Image Viewer Help")
 
 
Index: src/sas/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- src/sas/perspectives/calculator/kiessig_calculator_panel.py	(revision d5419f7f544b78361d56e7be452aaf706afa3524)
+++ src/sas/perspectives/calculator/kiessig_calculator_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -173,6 +173,5 @@
     """
         _TreeLocation = "user/perspectives/calculator/kiessig_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1,
-                                          _TreeLocation,
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
                                           "Density/Volume Calculator Help")
 
Index: src/sas/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/perspectives/calculator/resolution_calculator_panel.py	(revision d5419f7f544b78361d56e7be452aaf706afa3524)
+++ src/sas/perspectives/calculator/resolution_calculator_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -642,6 +642,6 @@
 
         _TreeLocation = "user/perspectives/calculator/resolution_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1,
-                                          _TreeLocation, "Resolution Calculator Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Resolution Calculator Help")
 
     def on_close(self, event):
Index: src/sas/perspectives/calculator/sld_panel.py
===================================================================
--- src/sas/perspectives/calculator/sld_panel.py	(revision d5419f7f544b78361d56e7be452aaf706afa3524)
+++ src/sas/perspectives/calculator/sld_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -326,6 +326,6 @@
 
         _TreeLocation = "user/perspectives/calculator/sld_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "General Scattering Calculator Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "General Scattering Calculator Help")
 
     def on_close(self, event):
Index: src/sas/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- src/sas/perspectives/calculator/slit_length_calculator_panel.py	(revision d5419f7f544b78361d56e7be452aaf706afa3524)
+++ src/sas/perspectives/calculator/slit_length_calculator_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -187,6 +187,6 @@
 
         _TreeLocation = "user/perspectives/calculator/slit_calculator_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Slit Length Calculator Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Slit Length Calculator Help")
 
     def on_close(self, event):
Index: src/sas/perspectives/fitting/basepage.py
===================================================================
--- src/sas/perspectives/fitting/basepage.py	(revision 373d4eebe3a548f70f917fec87bdb5280e67d1e0)
+++ src/sas/perspectives/fitting/basepage.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -2847,15 +2847,13 @@
         """
 
-        if self.model == None:
-            name = 'index.html'
+        _TreeLocation = 'user/models/model_functions.html'
+        if self.model != None:
+            name = self.formfactorbox.GetValue()
+            _PageAnchor = '#' + name
+            _doc_viewer = DocumentationWindow(self, -1, _TreeLocation,
+                                              _PageAnchor, name + "Help")
         else:
-            name = self.formfactorbox.GetValue()
-
-        if self.model != None:
-            _docspath = 'user/models/model_functions.html#' + name
-            _doc_viewer = DocumentationWindow(self, -1, _docspath, name + "Help")
-        else:
-            _doc_viewer = DocumentationWindow(self, -1, "index.html", \
-                                                "General Help")
+            _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                                "General Model Help")
 
 
@@ -2908,6 +2906,6 @@
 
         _TreeLocation = "_images/M_angles_pic.bmp"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Magnetic Angle Defintions")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Magnetic Angle Defintions")
 
     def _on_mag_on(self, event):
@@ -2954,7 +2952,7 @@
 
         _TreeLocation = "user/perspectives/fitting/fitting_help.html"
-        _TreeLocation += "#polydispersity-distributions"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Polydispersity Help")
+        _PageAnchor = "#polydispersity-distributions"
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation,
+                                          _PageAnchor, "Polydispersity Help")
 
     def on_left_down(self, event):
Index: src/sas/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/perspectives/invariant/invariant_panel.py	(revision cce0ad3f3fdfdf16231ed2d6c5fdddac97b75be1)
+++ src/sas/perspectives/invariant/invariant_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -1893,6 +1893,6 @@
 
         _TreeLocation = "user/perspectives/invariant/invariant_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "Invariant Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "Invariant Help")
 
 
Index: src/sas/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/perspectives/pr/inversion_panel.py	(revision 3d250da3ae17ea6190c69794c598422f07134904)
+++ src/sas/perspectives/pr/inversion_panel.py	(revision 3db44fbfe87ababed011758181e38e2806c5aac2)
@@ -958,6 +958,6 @@
 
         _TreeLocation = "user/perspectives/pr/pr_help.html"
-        _doc_viewer = DocumentationWindow(self, -1, \
-             _TreeLocation, "P(r) Help")
+        _doc_viewer = DocumentationWindow(self, -1, _TreeLocation, "",
+                                          "P(r) Help")
 
 
